## oskit 0.97.20020317-0.1

=== debian/changelog ===
oskit (0.97.20020317-0.1) unstable; urgency=low

  * NMU at maintainers request and some small amount of begging by the
  Hurd folks. =)

  * Update to "St. Patricks day" snapshot.

  * This new version doesn't seem to have the problem reported in bug
  142096.  Will followup with the maintainer to see if [s]he still
  sees it.

 -- Jeff Bailey <jbailey@nisa.net>  Mon, 15 Apr 2002 22:18:46 -0400

oskit (0.97.20010214-4) unstable; urgency=low

  * Applied fix for recent glibcs (Closes: #98904)
     * Remove hack in sbrk-fix.c
     * Do not redefine __progname in crt1.c
     * Add TIMESPEC macros in rtclock.c
  * Add config option for INDIRECT_OSENV and enable it for those building
    oskit-mach (Closes: #113962)
  * Include examples in build; Add reference to project web page in
    README.Debian (Closes: #104239)

 -- Ed Boraas <ed@debian.org>  Sun, 7 Oct 2001 20:56:44 -0600

oskit (0.97.20010214-3) unstable; urgency=low

  * Marked struct tftphdr as packed in freebsd/3.x/src/include/arpa/tftp.h
    and freebsd/src/include/arpa/tftp.h, fixing ARM build issues 
    (Closes: #88449)

 -- Ed Boraas <ed@debian.org>  Wed, 7 Mar 2001 20:43:19 -0700
 

oskit (0.97.20010214-2) unstable; urgency=low

  * Fixed a rather embarassing bug causing much of the package's content not
    to be installed (Unreported)

 -- Ed Boraas <ed@debian.org>  Tue, 27 Feb 2001 20:18:02 -0700

oskit (0.97.20010214-1) unstable; urgency=low

  * New upstream release (Closes: #75031)
  * Updated to Policy v3.5.2

 -- Ed Boraas <ed@debian.org>  Sun, 25 Feb 2001 12:56:13 -0700

oskit (0.97.20000505-0.1) unstable; urgency=low

  * New upstream release
  * Non-Maintainer Upload

 -- Chip Salzenberg <chip@valinux.com>  Fri, 12 May 2000 19:00:00 -0700

oskit (0.97.20000202-1) frozen unstable; urgency=low

  * New upstream release
  * Functionality added to 0.97.19991124 now included upstream

 -- Ed Boraas <ed@debian.org>  Thu, 3 Feb 2000 22:16:12 -0700

oskit (0.97.19991124-2) unstable; urgency=low

  * Renamed {cpu}-oskit-gcc to {arch}-oskit-gcc
    (e.g. "i[3456]86-oskit-gcc" becomes "x86-oskit-gcc")
  * Moved specs file to /usr/lib/gcc-lib/{arch}-oskit/
  * Removed setting of GCC_EXEC_PREFIX in gcc wrapper script 
  * The above changes solve the cpp-storm bug (Closes: #43872)

 -- Ed Boraas <ed@debian.org>  Sat, 11 Dec 1999 03:15:42 -0700

oskit (0.97.19991124-1) unstable; urgency=low

  * New upstream release
  * Upstream source now compiles cleanly with gcc 2.95.x,
    so it is now compiled with gcc-2.95.
  * Incorporated OKUJI Yoshinori's unofficial patches 

 -- Ed Boraas <ed@debian.org>  Sun, 28 Nov 1999 02:08:23 -0700

oskit (0.97.19990722-1) unstable; urgency=low

  * Initial Release.

 -- Ed Boraas <ed@debian.org>  Sun,  1 Aug 1999 05:17:21 -0600

Local variables:
mode: debian-changelog
End:
