=== debian/control ===
Source: oskit
Section: devel 
Priority: optional 
Maintainer: Ed Boraas <ed@debian.org>
Standards-Version: 3.5.2 
Build-Depends: debhelper (>= 4.0.0), dbs

Package: oskit
Architecture: i386 hurd-i386 arm 
Description: The Flux Operating System Toolkit, a framework for OS design 
 This package is a collection of libraries designed to ease kernel development.
 Provided with libraries of commonly used functions, operating system developers
 can spend more time focusing on design and "interesting" code, and less time
 wrestling with extremely-low-level issues.
