## oskit 0.97.20030827savannah

=== boot/pxe/bootinfo/Makefile ===
CFLAGS= -g -DSOLARIS -DHAVE_SOCKADDR_SA_LEN -DUSE_RECVMSG
INCS= -I../../../oskit/boot

all: bootinfo

bootinfo: bootinfo.c
	cc $(CFLAGS) $(INCS) -o bootinfo bootinfo.c $(LFLAGS)

clean: 
	rm bootinfo
